<?php
require_once('../Web_Admin/conexion.php');
require_once('Class_Fecha.php');
class Cliente_P{
	function __construct()
	{
		
	}
		
	public function Estadistica_Ini($Id_Client)
	{
		$db = new Conexion();
		$sql=$db->query("SELECT B.Nombre, count(A.Folio) as Folios, sum(if(A.Act=1,1,0)) as Usados, sum(if(A.Act=2,1,0)) as Cancelados, C.Folio_Min, sum(if(A.Act=3,1,0)) as Incompletos, D.Ult FROM Prod_Guias_Union.O_Folios_Asig A INNER JOIN Prod_Guias_Union.C_Municipios B on A.Id=B.Id INNER JOIN (SELECT MIN(Folio) as Folio_Min, Id from Prod_Guias_Union.O_Folios_Asig where id=$Id_Client) C on A.Id=C.Id INNER JOIN (SELECT MIN(Folio) as Ult, Id from Prod_Guias_Union.O_Folios_Asig where id=$Id_Client and Act=0) D on A.Id=D.Id WHERE A.id=$Id_Client");
		$dato=$db->recorrer($sql);
		return($dato);
	}
	
	public function Cat_Motivo()
	{
		$db = new Conexion();
		$resultado= $db->query("Select * from Prod_Guias_Comite.C_Motivos order by Descripcion");
		echo "<select name='List_Motivos' id='List_Motivos' required>";
		while ($row=$resultado->fetch_assoc()){
			echo '<option value="'.$row['Id_motivo'].'">'.$row['Descripcion'].'</option>';
		}
		echo "</select><br><br>";
	}
	public function Folios_Disp($Id_Client)
	{
		$db = new Conexion();
		$resultado= $db->query("SELECT Id_Fol_Asig, Folio FROM Prod_Guias_Union.O_Folios_Asig WHERE id=$Id_Client and Act=0 order by Folio asc LIMIT 5 ");
		echo "<p><div class= 'Clients'><hr>Folios Disponibles : <select name='List_Folios' id='List_Folios' required>";
		while ($row=$resultado->fetch_assoc()){
			echo '<option value="'.$row['Id_Fol_Asig'].'">'.$row['Folio'].'</option>';
		}
		echo "</select><hr></div></p>";
	}
	
	
	public function List_Ganaderas()
	{
		$db = new Conexion();
		$resultado = $db->query("Select * from Prod_Guias_Union.C_Municipios where Ganadera =0");
		echo '<table class="customers"><tbody><tr><th colspan="3">.: Lista de Ganaderas :.<div class="Msg_Tit"></div></th></tr>';
		echo '<tr><th width="10%"> #</th><th width="70%">Nombre</th><th width="20%">Opción</th></tr>';
		echo '<tr><th colspan="2"><input type="text" id="Nom_Gan" name="Nom_Gan" maxlength="50" max="50" placeholder="Nombre de la Ganadera"></th>
      		 <th><button type="button" onClick="New_Gana()">Agregar</button></th></tr>';
		$Conta=1;
		while ($row=$resultado->fetch_assoc()){
		echo '<tr><td>'.$Conta.'</td><td>'.$row['nombre'].'</td><td><button type="button" onClick="Elimina_Reg('.$row['id'].')"><img src="../Diseno/R.png" width="30" height="24" alt=""/></button></td></tr>';
		$Conta++;
		}
		echo "</tbody></table>";
		
	}
	
	public function Baja_Block($Id_Block)
	{
		$db = new Conexion();		
		$sql = "Delete from Prod_Guias_Union.O_Asig_block_Gan where Id_block= $Id_Block";
		//echo '<script>console.log("'.$sql.'")</script>';
		if(!$db->query($sql)) echo "!! Error de movimiento ¡¡";		
	}
	
	public function Genera_Folios($Id_Block,$Id_Cliente)
	{
		$db = new Conexion();		
		$sql = "call Prod_Guias_Union.Actualiza_Folios($Id_Cliente,$Id_Block)";
		//echo '<script>console.log("'.$sql.'")</script>';
		if(!$db->query($sql)) echo "!! Error de movimiento ¡¡";		
		
	}
	
	public function Fecha_MM()
	{
		$db = new Conexion();
		$sql=$db->query("SELECT min(Fecha_Emi) As Fecha_Min, MAX(Fecha_Emi) As Fecha_Max FROM Prod_Guias_Union.O_Folios_Asig");
		$dato=$db->recorrer($sql);
		return($dato);
	}
	
	function Municipio_Des($Est)
	{
		$db = new Conexion();
		$resultado=$db->query("Select * from Prod_Guias_Comite.C_Mpio where estado_id=$Est");
		echo "<select name='Mpio_D' id='Mpio_D' required>";
		while ($row=$resultado->fetch_assoc()){
			echo '<option value="'.$row['id'].'">'.$row['nombre'].'</option>';
		}
		echo "</select>";
	}
	
	function Estado()
	{
		$db = new Conexion();
		$resultado=$db->query("Select * from Prod_Guias_Comite.C_Estados ");
		echo "<select name='Estado_D' id='Estado_D' required>";
		echo '<option value="0">--- Selección de Estado ---</option>';
		while ($row=$resultado->fetch_assoc()){
			echo '<option value="'.$row['id'].'">'.$row['nombre'].'</option>';
		}
		echo "</select>";
	}
	
	function Mercancia()
	{
		$db = new Conexion();
		$resultado=$db->query("Select * from Prod_Guias_Comite.C_Mercancia ");
		echo "<select name='Cat_Merc' id='Cat_Merc' required>";
		echo '<option value="0">--- Selección de Mercancia ---</option>';
		while ($row=$resultado->fetch_assoc()){
			echo '<option value="'.$row['Id_mercancia'].'">'.$row['Descripcion'].'</option>';
		}
		echo "</select>";
	}
	
	function Alta_Arete($Folio,$No_Arete,$Cant)
	{
		$Bandera=true;
		$db = new Conexion();
		$sql=$db->query("Select count(No_arete) as Cant from Prod_Guias_Union.O_Historial_Aretes where Id_folios=$Folio");
		$dato=$db->recorrer($sql);
		$TA_Regis=$dato['Cant'];
		if ($Cant - 1  < $dato['Cant']){
			echo "!! Se supero el número de Aretes registrados ¡¡";
		}else{
			$sql = "insert into Prod_Guias_Union.O_Historial_Aretes (Id_folios, No_arete) values($Folio,'$No_Arete')";
			if(!$db->query($sql)) $Bandera=false;
		};
			
		if ($Bandera==true){
			$resultado=$db->query("Select * from Prod_Guias_Union.O_Historial_Aretes where Id_folios=$Folio");
			echo '<table class="customers"><tbody>';
			echo '<tr><th colspan="3" align="center">= Lista de Aretes =</th></tr>';
			$Cont=1;
			while ($row=$resultado->fetch_assoc()){
				echo '<tr><td>'.$Cont.'</td><td>'.$row['No_arete'].'</td><td><button type="button class="Btn_DelA" onclick="Del_arete('.$row['Id_aretes'].','.$Folio.')"><img src="../Diseno/R.png" width="30" height="24"></button></td></tr>';
				$Cont++;
			}
			echo '</tbody></table>';
			echo '<input type="hidden" name="Cont" id="Cont" value="'.($Cont-1).'">';
		}
		}
	
	
	
    function Actualiza_Fol($Id, $Fecha_Emi, $Mpio_Origen, $Estado_Des, $Mpio_Des, $Folio_cer, $Mercancia, $C_Zoo, $Cant, $Motivo, $Id_Mvo, $Obs, $Act, $Medida)
	{
		$db = new Conexion();
		$sql = "Update Prod_Guias_Union.O_Folios_Asig set Fecha_Emi='$Fecha_Emi', Estado_Des=$Estado_Des, Mpio_Des=$Mpio_Des, Mercancia=$Mercancia, Folio_Zoo='$C_Zoo', Cantidad=$Cant, Medida=$Medida, Id_motivo=$Id_Mvo, Motivo='$Motivo', Observaciones ='$Obs', Act=$Act where Folio= $Id and Id=$Mpio_Origen";
		//echo '<script>console.log("'.$sql.'")</script>';
		if($db->query($sql)){
			$Bandera=true;
		}else{
			$Bandera=false;
		}
		return($Bandera);

	}
	
	function Block_Fol($Folio,$Obs)
	{
		$db = new Conexion();
		$sql="Update Prod_Guias_Union.O_Folios_Asig set Act=2, Observaciones='$Obs' where Folio=$Folio";
		$db->query($sql);
	}
	
	function Baja_Arete($Id_aretes,$Folio)
	{
		$db = new Conexion();
		$sql="Delete from Prod_Guias_Union.O_Historial_Aretes where Id_aretes=$Id_aretes";
		$db->query($sql);
			$resultado=$db->query("Select * from Prod_Guias_Union.O_Historial_Aretes where Id_folios=$Folio");
			echo '<table class="customers"><tbody><tr><th colspan="3" align="center">= Lista de Aretes =</th></tr>';
			$Cont=1;
			while ($row=$resultado->fetch_assoc()){
				echo '<tr><td>'.$Cont.'</td><td>'.$row['No_arete'].'</td><td><button type="button class="Btn_DelA" onclick="Del_arete('.$row['Id_aretes'].','.$Folio.')"><img src="../Diseno/R.png" width="30" height="24"></button></td></tr>';
				$Cont++;
			}
			echo '</tbody></table>';
			echo '<input type="hidden" name="Cont" id="Cont" value="'.($Cont-1).'">';
	}

	function Cancela_Pro($Folio)
	{
		$db = new Conexion();
		$Bandera=false;
		$sql="Update Prod_Guias_Union.O_Folios_Asig set Act=0, Fecha_Emi=NULL, Ruta=NULL, Estado_Des=NULL, Mpio_Des=NULL, Folio_Zoo=NULL, Mercancia=NULL, Cantidad=NULL, Id_motivo=NULL, Observaciones=NULL where Folio=$Folio";
		if($db->query($sql)){
			$sql="Delete from Prod_Guias_Union.O_Historial_Aretes where Id_folios=$Folio";
			$db->query($sql);
			$Bandera=true;
		}
		return($Bandera);
	}
	
	 function Datos_Fol($Folio,$Cliente)
	{
		$db = new Conexion();
		$sql=$db->query("SELECT A.Folio, A.Ruta, A.Fecha_Emi, A.Fecha_Cap, A.Folio_Zoo, A.Cantidad, A.Motivo, A.Observaciones, A.Act, B.nombre as Mpio_Origen, C.nombre as Est_Destino, D.nombre as Mpio_Destino, A.Mercancia as Merc, E.Descripcion as Mercancia, F.Descripcion as Motivos from Prod_Guias_Union.O_Folios_Asig A LEFT JOIN Prod_Guias_Comite.C_Mpio B on A.Id=B.id LEFT JOIN Prod_Guias_Comite.C_Estados C on A.Estado_Des=C.id LEFT JOIN Prod_Guias_Comite.C_Mpio D on A.Mpio_Des=D.id left JOIN Prod_Guias_Comite.C_Mercancia E on A.Mercancia=E.Id_mercancia LEFT JOIN Prod_Guias_Comite.C_Motivos F on A.Id_motivo=F.Id_motivo where A.Folio=$Folio and A.Id=$Cliente");
		$dato=$db->recorrer($sql);
		return($dato);
	}
	
	function Finaliza_Pro($Folio)
	{
		$db = new Conexion();
		$sql="Update Prod_Guias_Union.O_Folios_Asig set Act=1 where Folio=$Folio";
		if(!$db->query($sql)) echo "!! Registro no encontrado ¡¡";
	}
	
	function Present_Aretes($Folio)
	{
		$db = new Conexion();
		$resultado=$db->query("Select * from Prod_Guias_Union.O_Historial_Aretes where Id_folios=$Folio");
		echo '<table class="T_Captura"><tbody><tr><th colspan="3" align="center">= Lista de Aretes =</th></tr>';
		$Cont=1;
		while ($row=$resultado->fetch_assoc()){
			echo '<tr><td>'.$Cont.'</td><td>'.$row['No_arete'].'</td><td></td></tr>';
			$Cont++;
		}
		echo '</tbody></table>';
	
	}
	
	public function Cambio_Fecha($Valor,$Opc){
		$Mes_=array('Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre');
		$Fecha=new DateTime($Valor);
		if ($Opc==0){
			$Fecha=$Fecha->format('d').' - '.$Mes_[($Fecha->format('m')-1)].' - '.$Fecha->format('Y');		
		}else{
			$Fecha=$Fecha->format('d').' - '.$Mes_[($Fecha->format('m')-1)].' - '.$Fecha->format('Y').' | Hr '.$Fecha->format('H').':'.$Fecha->format('i');	
		}
		return($Fecha);
	}
	
	function Visualiza_Fol($Folio,$Id_Clie)
	{
		$db = new Conexion();
		$sql=$db->query("Select concat(B.Ruta,A.Ruta) as Ruta from Prod_Guias_Union.O_Folios_Asig A INNER JOIN Prod_Guias_Union.O_Acceso B on A.Id=B.Id where A.Folio=$Folio and A.Id=$Id_Clie ORDER by B.Ruta DESC LIMIT 1");
		$dato=$db->recorrer($sql);
		return($dato);
	}
	
	public function Listado_Fol($Mun,$Fecha_Ini,$Fecha_Fin)
	{
		$db = new Conexion();
		$resultado=$db->query("SELECT A.Folio, A.Ruta, A.Fecha_Emi, A.Fecha_Cap, B.nombre as Est_Des, C.nombre as Mpio_Des, D.Descripcion as Des_merc, A.Folio_Zoo, A.Cantidad, E.Descripcion, A.Observaciones, A.Act FROM Prod_Guias_Union.O_Folios_Asig A LEFT JOIN Prod_Guias_Comite.C_Estados B on A.Estado_Des=B.id left JOIN Prod_Guias_Comite.C_Mpio C on A.Mpio_Des=C.id left join Prod_Guias_Comite.C_Mercancia D on A.Mercancia=D.Id_mercancia left JOIN Prod_Guias_Comite.C_Motivos E on A.Id_motivo=E.Id_motivo WHERE A.Id=$Mun and A.Fecha_Emi BETWEEN '$Fecha_Ini' and '$Fecha_Fin' ORDER by A.Folio");
		return($resultado);
	}
	
	function Cambios_Aretes($Folio)
	{
		$db = new Conexion();
		$resultado=$db->query("Select * from Prod_Guias_Union.O_Historial_Aretes where Id_folios=$Folio");
		echo '<table><tbody><tr><th colspan="3" align="center">= Lista de Aretes =</th></tr>';
		$Cont=1;
		while ($row=$resultado->fetch_assoc()){
			echo '<tr><td>'.$Cont.'</td><td>'.$row['No_arete'].'</td><td><input type="text" name="Arete_Reg" id="Arete_Reg" data-Reg="'.$row['Id_aretes'].'" data-Val="'.$row['No_arete'].'" onKeypress="if (event.keyCode < 45 || event.keyCode > 57) event.returnValue = false;" placeholder="Nuevo arete ..." class="Bus_Ca" max="10" maxlength="10" autocomplete="off" /></td></tr>';
			$Cont++;
		}
		echo '</tbody></table>';
	}
	
	function Alta_Rep($Folio, $Solicitud, $Obs, $Aretes, $Cliente) 
	{
		$db = new Conexion();
		$sql=$db->query("Select Id_Fol_Asig from Prod_Guias_Union.O_Folios_Asig where Folio=$Folio and Id=$Cliente");
		$dato=$db->recorrer($sql);
		if ($dato['Id_Fol_Asig']!=0){
			$Fol_Asig=$dato['Id_Fol_Asig'];
			$sql = "insert into Prod_Guias_Union.O_Folio_Rep (Id, Id_Fol_Asig, Solicitud, Fecha_Rep, Observaciones) values($Cliente, $Fol_Asig, $Solicitud, now(), '$Obs')";
			if($db->query($sql)){
				$sql=$db->query("Select max(Id_Rep_F) as Folio_Rep from Prod_Guias_Union.O_Folio_Rep ");
				$dato=$db->recorrer($sql);
				$Folio_Rep=$dato['Folio_Rep'];
				if (!is_null($Aretes)){
					$Aretes=json_decode($Aretes);			
					for ($X=0; $X < count($Aretes); $X++){
						$New_Val=$Aretes[$X]->{"New_Val"};
						$Old_Val=$Aretes[$X]->{"Old_Val"};	
						$sql = "insert into Prod_Guias_Union.O_Aretes_Rep (Id_Rep_F, Arete_Ant, Arete_Nuevo) values($Folio_Rep,'$Old_Val','$New_Val')";
						$db->query($sql);
					}
				}
			} 			
		}
		return($Folio_Rep);
	}
	
	function Bus_Rep($Folio, $Cliente)
	{
		$db = new Conexion();
		$sql=$db->query("Select B.Folio, A.Solicitud, A.Observaciones, C.nombre from Prod_Guias_Union.O_Folio_Rep A INNER JOIN Prod_Guias_Union.O_Folios_Asig B on A.Id_Fol_Asig =B.Id_Fol_Asig and B.Id=$Cliente INNER JOIN Prod_Guias_Union.C_Municipios C On C.id=B.Id where A.Id_Rep_F = $Folio");
		$dato=$db->recorrer($sql);
		return($dato);
	}
	
	function Rep_Aretes($Folio)
	{
		$db = new Conexion();
		$resultado=$db->query("Select * from Prod_Guias_Union.O_Aretes_Rep A where A.Id_Rep_F = $Folio");
		return($resultado);
	}
	
	function Acceso($Id_Reg){
		$db = new Conexion();
		$sql=$db->query("Select A.Login, A.Ruta, A.nombre from Prod_Guias_Union.O_Acceso A where A.Id_acceso=$Id_Reg");
		$dato=$db->recorrer($sql);
		return($dato);
	}
	
	function Valida($Id_Reg,$Pass_Ant,$Pass_New){
		$Pass_Ant = md5($Pass_Ant);
		$Pass_New = md5($Pass_New);
		$db = new Conexion();
		$sql = $db->query("Select Password from Prod_Guias_Union.O_Acceso where Id_acceso =$Id_Reg");
		$dato= $db->recorrer($sql);
		if ($dato['Password']==$Pass_Ant){
			$sql = "Update Prod_Guias_Union.O_Acceso set Password='$Pass_New' where Id_acceso=$Id_Reg";
			if($db->query($sql)){
				return(true);
			}else {
				echo "* Houston we have a problem *";
			}
		}else{
			echo " Contraseña anterior no es la correcta!! ";
			
		}
	}
	// Analizar mejor //
	public function Hist_Blocks($Mpio,$Origen){
		$db = new Conexion();
		if ($Origen==1){
			$Sql="SELECT D.nombre, A.Fecha_alta, C.Id_blocks, C.F_inicio, C.F_final,(SELECT Sum(If(Act > 0,1,0)) FROM Prod_Guias_Union.O_Folios_Asig WHERE Folio BETWEEN C.F_inicio and C.F_final) as Folios_Usd, (SELECT Sum(If(Act = 0,1,0)) FROM Prod_Guias_Union.O_Folios_Asig WHERE Folio BETWEEN C.F_inicio and C.F_final) as Folios_Disp FROM Prod_Guias_Comite.O_Folios_Hist A INNER JOIN Prod_Guias_Comite.O_Asig_block_Gan B on A.Id_Mpio=B.Id_cliente INNER JOIN Prod_Guias_Comite.O_Blocks C on B.Id_block=C.Id_blocks INNER JOIN Prod_Guias_Union.C_Municipios D on A.Id_Mpio=D.id WHERE A.Id_Mpio={$Mpio} and B.Id_block BETWEEN A.F_inicio and A.F_final";
		} elseif ($Origen==0){
			$Sql="SELECT D.nombre, A.Fecha_Asig as Fecha_alta, C.Id_blocks, C.F_inicio, C.F_final, (SELECT Sum(If(Act > 0,1,0)) FROM O_Folios_Asig WHERE Folio BETWEEN C.F_inicio and C.F_final) as Folios_Usd, (SELECT Sum(If(Act = 0,1,0)) FROM O_Folios_Asig WHERE Folio BETWEEN C.F_inicio and C.F_final) as Folios_Disp FROM O_Asig_block_Gan A INNER JOIN Prod_Guias_Comite.O_Blocks C on A.Id_block=C.Id_blocks INNER JOIN C_Municipios D on D.id=A.Id_cliente WHERE A.Id_cliente={$Mpio}";
		}
		$resultado= $db->query($Sql);	
		echo '<p>.: Solicitud de blocks :.</p><hr>';
		echo '<table width="100%" border="1"><tbody><tr><td width="5%">#</td><td width="25%">Fecha de Compra</td><td width="10%">Block</td><td width="10%">Folio Inicio</td><td width="10%">Folio Final</td><td width="10%">Folios Usados</td><td width="15%">Folios Disponibles</td><td width="15%">% Usados</td></tr>';
		$Cont=1;
	
		while ($row=$resultado->fetch_assoc()){
			$Fecha_Com=new Fechas_Form($row['Fecha_alta']);			
			echo '<tr><td>'.$Cont.'</td><td>'.$Fecha_Com->Fecha_DMAC().'</td><td>'.$row['Id_blocks'].'</td><td>'.$row['F_inicio'].'</td><td>'.$row['F_final'].'</td><td>'.$row['Folios_Usd'].'</td><td>'.$row['Folios_Disp'].'</td><td>'.$row['Folios_Usd']*100/($row['Folios_Usd']+$row['Folios_Disp']).'</td></tr>';
			$Cont++;
		}		  
	
		echo '</tbody></table><hr>';
		}
	// * fin  */
	public function Personal_Auto($Mpio)
	{
		$db = new Conexion();
		$resultado=$db->query("Select concat(Apellido_P, ' ', Apellido_M, ' ', Nombre) as Nombre, Telefono, Correo, Act from Prod_Guias_Union.C_Clientes where Id=$Mpio Order By Apellido_P ASC");
		echo '<p>.: Solicitud de personal Autorizado :.</p><hr>';
		echo '<table width="100%" border="1"><tbody><tr><td width="4%">#</td><td width="28%">Nombre</td><td width="27%">Telefono</td><td width="22%">Correo</td><td width="19%">Status</td></tr>';
		$Cont=1;
		while ($row=$resultado->fetch_assoc()){
			$Act=$row['Act']==1 ? 'Activo' : 'Baja';
			echo '<tr><td>'.$Cont.'</td><td>'.$row['Nombre'].'</td><td>'.$row['Telefono'].'</td><td>'.$row['Correo'].'</td><td>'.$Act.'</td></tr>';
		}
  		echo '</tbody></table>';

	}

	public function Cat_Medidas()
	{
		$db = new Conexion();
		$resultado= $db->query("Select * from Prod_Guias_Comite.C_Medidas order by Descripcion");
		echo "<select name='List_Medidas' id='List_Medidas' required>";
		echo '<option value="0"> - - - - -</option>';
		while ($row=$resultado->fetch_assoc()){
			echo '<option value="'.$row['Id_med'].'">'.$row['Descripcion'].'</option>';
		}
		echo "</select>";
	}
	
	public function Lista_Rep($Id_reg)
	{
		$db = new Conexion();
		$resultado= $db->query("SELECT A.Id_Rep_F, A.Id_Fol_Asig, A.Solicitud, A.Fecha_Rep, A.Fecha_Resp, A.Act from Prod_Guias_Union.O_Folio_Rep A INNER JOIN Prod_Guias_Union.O_Folios_Asig B on A.Id_Fol_Asig=B.Folio where B.Id=$Id_reg");
		echo '<table width="100%" class="customers"><tbody><tr><td>#</td><td># Rep</td><td>Folio</td><td>Solicitud</td><td>Fecha Rep</td><td>Fecha Res</td><td>Status</td></tr>';
		$Cont=1;
		while ($row=$resultado->fetch_assoc()){
			$Status=($row['Act'] == 0 ? 'Abierto' : 'Cerrado');
			$Fecha_Rep=new Fechas_Form($row['Fecha_Rep']);		
			if ($row['Act'] == 0){
				$Fecha_Resp='00-00-0000';
			}else{
				$Fecha_Resp=new  Fechas_Form ($row['Fecha_Resp']);				
				$Fecha_Resp=$Fecha_Resp->Fecha_DMAHC();
			}
			if($row['Solicitud']==0){
				$Solicitud='Restaurar';
			}elseif($row['Solicitud']==1){
				$Solicitud='Cancelar';
			}elseif($row['Solicitud']==2){
				$Solicitud='Activar';
			}elseif($row['Solicitud']==3){
				$Solicitud='Cambio de Arete';
			}elseif($row['Solicitud']==4){
				$Solicitud='Borrar Archivo Guia';
			}
    		echo '<tr><td>'.$Cont.'</td><td>'.$row['Id_Rep_F'].'</td><td>'.$row['Id_Fol_Asig'].'</td><td>'.$Solicitud.'</td><td>'.$Fecha_Rep->Fecha_DMA().'</td><td>'.$Fecha_Resp.'</td><td>'.$Status.'</td></tr>';
			$Cont++;
		}
  echo '</tbody></table>';

	}
	
}// Fin de La Classe







